## cqrlib 1.1.2

=== debian/changelog ===
cqrlib (1.1.2-2) unstable; urgency=low

  * control:
    - Upgrade to standards-version 3.9.4.
    - Add libcqrlib2 dependency to libcqrlib2-dev.
    - Remove unnecessary shlibs:Depends substvar.
  * Add libcqrlib2.symbols file.
  * Use debhelper compat level 9 for hardening flags.
  * patches/01_makefile:
    - Pick up (hardening) build flags from environment.
    - Use a variable for library installation path for
      multiarch support.
  * Use multiarch library paths.
  * copyright: Upgrade to latest format, update years.

 -- Teemu Ikonen <tpikonen@gmail.com>  Sat, 25 May 2013 15:15:39 +0200

cqrlib (1.1.2-1) unstable; urgency=low

  * New upstream version.
  * Use Debian source package format '3.0 (quilt)
  * Add a README.source file documenting the source package generation
    from the git repository.
  * Split Makefile fixes to (meta)patch 01_makefile:
    - Use $DESTDIR as an installation directory
    - Remove .libs dirs in empty target
    - Link with libm
    - Remove all test output in empty target
  * control:
    - Upgrade to standards version 3.9.1
    - Update descriptions (fixes some lintian wishlist-level warnings)
  * Do not install *.la files (closes: #621299).

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 07 Apr 2011 17:58:46 +0200

cqrlib (1.0.3-1) unstable; urgency=low

  * Initial release (Closes: #550850)

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 16 Nov 2009 18:03:44 +0100
