=== debian/control ===
Source: cqrlib
Section: libdevel
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/cqrlib.git
Vcs-Git: http://git.debian.org/git/debian-science/packages/cqrlib.git
Homepage: http://sourceforge.net/projects/cqrlib/
Build-Depends: debhelper (>= 9), libtool
Standards-Version: 3.9.4

Package: libcqrlib2-dev
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcqrlib2 (= ${binary:Version}), ${misc:Depends}
Description: Library and headers for quaternion arithmetic and rotation math
 Quaternions are four-dimensional numbers which form an associative normed
 division algebra over the real numbers. Unit quaternions are a convenient
 and efficient way to represent orientations and rotations in three
 dimensions.
 .
 CQRlib is an ANSI C implementation of a utility library for quaternion
 arithmetic and quaternion rotation math.
 .
 This package contains files needed for compiling programs using CQRlib.

Package: libcqrlib2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for quaternion arithmetic and rotation math
 Quaternions are four-dimensional numbers which form an associative normed
 division algebra over the real numbers. Unit quaternions are a convenient
 and efficient way to represent orientations and rotations in three
 dimensions.
 .
 CQRlib is an ANSI C implementation of a utility library for quaternion
 arithmetic and quaternion rotation math.
