=== debian/changelog ===
cqrlib (1.1.4-3build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:44:56 +0200

cqrlib (1.1.4-3) unstable; urgency=medium

  * Team upload.
  * Fix build on i386
    Closes: #1027696
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 20 Jan 2023 10:38:03 +0100

cqrlib (1.1.4-2) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Add debian/not-installed

 -- Andreas Tille <tille@debian.org>  Wed, 02 Nov 2022 07:41:10 +0100

cqrlib (1.1.4-1) unstable; urgency=medium

  * New upstream version.
  * makefile: Use '-shared' in dynamic linking command
  * rules:
    - Change priority to optional
    - Update Vcs-* field to point to salsa
    - Update Homepage to point to github
    - Build-dep on libtool-bin and debhelper (>=11~)
    - Upgrade standards-version to 4.2.1
    - Add hardening build flags
    - Remove SONAME number from -dev package, libcqrlib2-dev -> libcqrlib-dev
  * compat: Use debhelper level 11.
  * copyright:
    - Use HTTPS URL
    - Update Upstream-Contact
    - Update years
  * Remove debian/README.source.
  * Remove debian/*.dirs files.
  * watch: Check releases from github.

 -- Teemu Ikonen <tpikonen@gmail.com>  Tue, 16 Oct 2018 14:34:03 +0300
