=== debian/control ===
Source: cqrlib
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>
Section: libdevel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libtool-bin
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/cqrlib
Vcs-Git: https://salsa.debian.org/science-team/cqrlib.git
Homepage: https://github.com/yayahjb/cqrlib
Rules-Requires-Root: no

Package: libcqrlib-dev
Architecture: any
Multi-Arch: same
Depends: libcqrlib2 (= ${binary:Version}),
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library and headers for quaternion arithmetic and rotation math
 Quaternions are four-dimensional numbers which form an associative normed
 division algebra over the real numbers. Unit quaternions are a convenient
 and efficient way to represent orientations and rotations in three
 dimensions.
 .
 CQRlib is an ANSI C implementation of a utility library for quaternion
 arithmetic and quaternion rotation math.
 .
 This package contains files needed for compiling programs using CQRlib.

Package: libcqrlib2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library for quaternion arithmetic and rotation math
 Quaternions are four-dimensional numbers which form an associative normed
 division algebra over the real numbers. Unit quaternions are a convenient
 and efficient way to represent orientations and rotations in three
 dimensions.
 .
 CQRlib is an ANSI C implementation of a utility library for quaternion
 arithmetic and quaternion rotation math.
