=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/yayahjb/cqrlib/tags \
             (?:.*?/)CQRlib-?(\d[\d.]*)\.tar\.gz
